<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.property.mapper.ATenantInfoMapper">

    <resultMap id="BaseResultMap" type="com.zksy.property.domain.ATenantInfo">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="simplifiedHouseId" column="simplified_house_id" jdbcType="VARCHAR"/>
            <result property="tenantName" column="tenant_name" jdbcType="VARCHAR"/>
            <result property="tenantNumber" column="tenant_number" jdbcType="VARCHAR"/>
            <result property="tenantIdCard" column="tenant_id_card" jdbcType="VARCHAR"/>
            <result property="tenantInDate" column="tenant_in_date" jdbcType="DATE"/>
            <result property="tenantTime" column="tenant_time" jdbcType="VARCHAR"/>
            <result property="tenantRent" column="tenant_rent" jdbcType="DECIMAL"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,simplified_house_id,tenant_name,
        tenant_number,tenant_id_card,tenant_in_date,
        tenant_time,tenant_rent,create_time,
        update_time
    </sql>
</mapper>
